> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get AgeGroupSpecification entities.

- Product: Age group specifications
- Section: AgeGroupSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/age_group_specifications/`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

Organization ID

### `accommodation`

Type: `number`  
Required: no  

### `accommodationCategory`

Type: `number`  
Required: no  

### `localityCategory`

Type: `number`  
Required: no  

### `general`

Type: `boolean`  
Required: no  

Indicates if only generally available AgeGroupSpecifications should be shown.

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.ageGroupSpecifications.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/age_group_specifications/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "type": "type",
    "description": "description",
    "excludedFromMaxNumOfPersons": true,
    "required": true,
    "relatedToCustomAccommodations": true,
    "locale": "locale",
    "priority": 0,
    "minNumOfPersons": 0,
    "maxNumOfPersons": 0,
    "minAge": 0,
    "maxAge": 0,
    "created": "created",
    "modified": "modified"
  }
]
```

##### Schema

###### AgeGroupSpecification[]

Type: `AgeGroupSpecification[]`  

###### AgeGroupSpecification

Type: `AgeGroupSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `priority`

Type: `number`  
Required: no  

###### `excludedFromMaxNumOfPersons`

Type: `boolean`  
Required: yes  

###### `required`

Type: `boolean`  
Required: yes  
Deprecated: yes  

###### `minNumOfPersons`

Type: `number`  
Required: no  

###### `maxNumOfPersons`

Type: `number`  
Required: no  

###### `relatedToCustomAccommodations`

Type: `boolean`  
Required: yes  

###### `minAge`

Type: `number`  
Required: no  

###### `maxAge`

Type: `number`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: no  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/age-group-specifications/methods/list/)
- [TypeScript Markdown](/age-group-specifications/methods/list.md?lang=typescript)
- [curl Markdown](/age-group-specifications/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/age-group-specifications/llms.txt)
- [snapshot llms.txt](/age-group-specifications/llms.txt)
